/* Estilos del contenedor general */
.slider-container {
  max-width: 1200px;
  margin: 40px auto;
  padding: 0 20px;
  position: relative;
}

/* Forzar a Swiper a que estire los slides para que midan lo mismo */
.swiper-slide {
  height: auto;
  /* Permite que se adapten a la altura de la card más alta */
  display: flex;
}

/* Estilos de la Tarjeta (Card) */
.custom-tarjeta {
  display: flex;
  flex-direction: column;
  width: 100%;
  background: #ffffff;
  border-radius: 24px;
  overflow: hidden;
  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
  border: 1px solid #eef2f5;
  padding: 10px;
}

.custom-tarjeta-2 {
  display: flex;
  flex-direction: column;
  width: 100%;
  background: #ffffff;
  border-radius: 16px;
  overflow: hidden;
  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);

}

.tarjeta-image img {
  width: 100% !important;
  height: auto;
  object-fit: cover;
  display: block;
  border-radius: 14px;
}

/* Contenedor del texto: La clave de la alineación */
.tarjeta-content {
  padding: 48px 16px 8px 16px;
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  /* Hace que este bloque ocupe todo el espacio vertical disponible */
  justify-content: space-between;
  height: auto;
}

.tarjeta-title {
  font-family: "Montserrat", sans-serif;
  font-size: 1.125rem !important;
  color: #333333;
  margin: 0 0 10px 0;
}

.custom-tarjeta-2 .tarjeta-title {
  font-size: 18px !important;

}

.tarjeta-description {
  font-family: "Montserrat", sans-serif;
  font-size: 1rem;
  color: #666666;
  line-height: 1.5;
  margin: 0 0 20px 0;
}

/* El Botón alineado abajo */
.tarjeta-btn {
  margin-top: auto;
  /* ¡MAGIA! Empuja el botón al fondo del contenedor flex */
  display: inline-block;
  background: #DB3C0B;
  background: linear-gradient(0deg, rgba(219, 60, 11, 1) 0%, rgba(219, 60, 11, 1) 0%, rgba(255, 102, 0, 1) 100%);
  color: #ffffff !important;
  text-align: center;
  padding: 12px 32px;
  border-radius: 25px;
  border: 1px solid #ff6600;
  text-decoration: none;
  font-family: "Montserrat", sans-serif;
  font-weight: 600;
  transition: background-color 0.2s ease;
}

.tarjeta2-btn {
  margin-top: auto;
  /* ¡MAGIA! Empuja el botón al fondo del contenedor flex */
  display: inline-block;
  color: #111111 !important;
  text-align: right;
  padding: 12px;
  text-decoration: none;
  font-family: "Montserrat", sans-serif;
  font-weight: 600;
  transition: background-color 0.2s ease;
}

.tarjeta-btn:hover {
  background: #DB3C0B;
  background: linear-gradient(180deg, rgba(219, 60, 11, 1) 0%, rgba(219, 60, 11, 1) 0%, rgba(255, 102, 0, 1) 100%);
}

/* Ajustes menores para las flechas de Swiper*/
.swiper-button-next,
.swiper-button-prev {
  width: 40px !important;
  height: 40px !important;
  color: #ffffff !important;
  background-color: #ff6600 !important;
  opacity: 0.8;
}

.swiper-pagination-bullet-active {
  background: #ff6600 !important;
  
}

.puntos-nav{display: none;}

/*estilos seccion enlaces de interes*/

.enlaces-interes {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;

}

.enlace-btn {
  width: 90%;
  margin: 0 16px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
  padding: 12px 24px;
}

.enlace-btn .enlace-icon {
  width: 25%;
  margin: 0 8px;
}

.enlace-btn .enlace-text {
  width: 75%;
  margin: 0 32px;
}

.enlace-icon img {
  width: 48px;
  height: 48px;
}

.enlace-text p {
  font-family: "Montserrat", sans-serif;
  font-size: 1rem;
  font-weight: bold;

}

/*estilos seccion formulario*/

.form-leads {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.text-form {
  width: 50%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  padding: 24px;

}

.jot-form {
  width: 50%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  padding: 24px;

}

/*estilos herramientas*/

.herramientas-gestion {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  padding: 0 24px;
}

.tarjeta-herramientas {

  width: 40%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 0 24px;

}

.tarjeta-herramientas img {

  width: 48px;
  height: 48px;
  margin: 24px;
}

.tarjeta-herramientas h3 {
  font-family: "Montserrat", sans-serif;
  font-size: 1.125rem;
  font-weight: bold;

}

.tarjeta-herramientas p {
  font-family: "Montserrat", sans-serif;
  font-size: 1rem;
  margin-bottom: 24px;


}


/*Breakpoints*/

@media only screen and (max-width: 600px) {

  /*enlaces de interes*/
  .enlaces-interes {
    flex-direction: column;
  }

  /*formulario*/
  .form-leads {
    flex-direction: column;

  }

  .text-form {
    width: 100%;
  }

  .jot-form {
    width: 100%;
  }

  /*Herramientas gestion*/

  .herramientas-gestion {
    flex-direction: column;

  }

  .tarjeta-herramientas {

  width: 100%;}



}